Forums

Share this post:
Responses (9)
  • Accepted Answer

    Tuesday, December 17 2019, 08:03 AM - #Permalink
    Resolved
    0 votes
    Bill wrote:

    When I do a yum update I get this
    Error: Package: 1:app-php-engines-core-1.2.0-1.v7.noarch (clearos-contribs)
    Requires: rh-php72-php-process

    Do I just need to update php first?
    Absolutely nothing to do with this thread. Next time please open a new one.

    What version of ClearOS do you have ("cat /etc/clearos-release")? If it is earlier than 7.6, please do a:
    yum update app-base
    yum clean all
    yum update
    Otherwise, what is the output from "yum repolist"?
    The reply is currently minimized Show
  • Accepted Answer

    Bill
    Bill
    Offline
    Tuesday, December 17 2019, 04:35 AM - #Permalink
    Resolved
    0 votes
    Sorry Nick, I thought my updates hanging might be related.

    After the yum commands you gave me - I have ClearOS release 7.7.2 (Final)
    Also I noticed that the web server and flexshare is missing from the left menu after the update.
    I was able to add them back and the web server was still working without being "installed"

    Thank you again! I think am good to go!



    When I do a yum update I get this
    Error: Package: 1:app-php-engines-core-1.2.0-1.v7.noarch (clearos-contribs)
    Requires: rh-php72-php-process

    Do I just need to update php first?
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, December 14 2019, 11:22 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Is this a system which started as a Home or Business eval then should have fallen back to Community after 30 days?

    No. It is having a home license and it was still active.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, December 14 2019, 09:46 AM - #Permalink
    Resolved
    0 votes
    Is this a system which started as a Home or Business eval then should have fallen back to Community after 30 days?
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, December 14 2019, 08:47 AM - #Permalink
    Resolved
    0 votes
    Nick,

    I found the problem:
    The repos clearos-centos, clearos-centos-updates and clearos-updates were disabled.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, December 14 2019, 08:18 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    What do you get from:
    rpm -q ca-certificates
    I see ca-certificates-2018.2.22-70.0.el7_5.noarch.


    ca-certificates-2018.2.22-70.0.el7_5.noarch


    It is still COS 7.6.0.
    Maybe this is also an issue, but should not
    The reply is currently minimized Show
  • Accepted Answer

    Friday, December 13 2019, 05:41 PM - #Permalink
    Resolved
    0 votes
    What do you get from:
    rpm -q ca-certificates
    I see ca-certificates-2018.2.22-70.0.el7_5.noarch.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, December 13 2019, 05:35 PM - #Permalink
    Resolved
    0 votes
    I can change the link to http but the marketplace issue is now to me. If I do a "yum update", I don't have any issues.
    [root@server ~]# yum update
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    * clearos: www.mirrorservice.org
    * clearos-centos-extras: download1.clearsdn.com
    * clearos-centos-sclo-rh: download1.clearsdn.com
    * clearos-centos-verified: mirror2-amsterdam.clearos.com
    * clearos-contribs: www.mirrorservice.org
    * clearos-contribs-paid: mirror2-amsterdam.clearos.com
    * clearos-epel-verified: mirror2-amsterdam.clearos.com
    * clearos-fast-updates: download1.clearsdn.com
    * clearos-infra: www.mirrorservice.org
    * clearos-paid: mirror2-amsterdam.clearos.com
    * clearos-verified: mirror2-amsterdam.clearos.com
    * private-clearcenter-ad: download1.clearsdn.com:80
    * private-clearcenter-antimalware: download1.clearsdn.com:80
    * private-clearcenter-antispam: download1.clearsdn.com:80
    * private-clearcenter-business: download1.clearsdn.com:80
    * private-clearcenter-content-filter: download1.clearsdn.com:80
    * private-clearcenter-dnsthingy: download1.clearsdn.com:80
    * private-clearcenter-dyndns: download1.clearsdn.com:80
    * private-clearcenter-dynvpn: download1.clearsdn.com:80
    * private-clearcenter-ids: download1.clearsdn.com:80
    * private-clearcenter-master-slave: download1.clearsdn.com:80
    * private-clearcenter-nextcloud-business: download1.clearsdn.com:80
    * private-clearcenter-rbs: download1.clearsdn.com:80
    * private-clearcenter-security-audit: download1.clearsdn.com:80
    * private-clearcenter-verified-updates: download1.clearsdn.com:80
    clearos | 3.7 kB 00:00
    clearos-centos-extras | 2.9 kB 00:00
    clearos-centos-sclo-rh | 3.0 kB 00:00
    clearos-contribs | 3.5 kB 00:00
    clearos-fast-updates | 3.0 kB 00:00
    clearos-infra | 3.5 kB 00:00
    clearos-centos-verified | 3.0 kB 00:00
    clearos-contribs-paid | 3.5 kB 00:00
    clearos-epel-verified | 3.0 kB 00:00
    clearos-paid | 3.5 kB 00:00
    clearos-verified | 3.5 kB 00:00
    private-clearcenter-ad | 2.9 kB 00:00
    private-clearcenter-antimalware | 2.9 kB 00:00
    private-clearcenter-antimalware/primary_db | 2.7 kB 00:00
    private-clearcenter-antispam | 2.9 kB 00:00
    private-clearcenter-antispam/primary_db | 2.8 kB 00:00
    private-clearcenter-business | 3.0 kB 00:00
    private-clearcenter-content-filter | 2.9 kB 00:00
    private-clearcenter-dnsthingy | 3.0 kB 00:00
    private-clearcenter-dyndns | 3.0 kB 00:00
    private-clearcenter-dynvpn | 2.9 kB 00:00
    private-clearcenter-ids | 2.9 kB 00:00
    private-clearcenter-master-slave | 3.0 kB 00:00
    private-clearcenter-nextcloud-business | 2.9 kB 00:00
    private-clearcenter-rbs | 3.0 kB 00:00
    private-clearcenter-security-audit | 3.0 kB 00:00
    private-clearcenter-verified-updates | 3.0 kB 00:00
    Resolving Dependencies
    --> Running transaction check
    ---> Package clearsdn-antimalware.noarch 0:6.1-20191212.1025 will be updated
    ---> Package clearsdn-antimalware.noarch 0:6.1-20191213.1025 will be an update
    ---> Package clearsdn-antispam.noarch 0:6.1-20191212.1025 will be updated
    ---> Package clearsdn-antispam.noarch 0:6.1-20191213.1025 will be an update
    --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size
    ================================================================================
    Updating:
    clearsdn-antimalware
    noarch 6.1-20191213.1025 private-clearcenter-antimalware 2.0 M
    clearsdn-antispam
    noarch 6.1-20191213.1025 private-clearcenter-antispam 2.1 M

    Transaction Summary
    ================================================================================
    Upgrade 2 Packages

    Total download size: 4.1 M
    Is this ok [y/d/N]:
    How old is your installation?

    The certificate on https://mirror1-newyork.clearos.com is valid to mid-Feb. I am wondering if you are missing a root certificate bundle update.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, December 13 2019, 04:07 PM - #Permalink
    Resolved
    0 votes
    Nick,

    On my VM i'm getting this error, but can not resolve it.

    rpm -Uvh https://mirror1-newyork.clearos.com/clearos/7/updates/x86_64/RPMS/yum-marketplace-plugin-2.3-4.v7.noarch.rpm
    Retrieving https://mirror1-newyork.clearos.com/clearos/7/updates/x86_64/RPMS/yum-marketplace-plugin-2.3-4.v7.noarch.rpm
    curl: (60) Peer's Certificate has expired.
    More details here: http://curl.haxx.se/docs/sslcerts.html

    curl performs SSL certificate verification by default, using a "bundle"
    of Certificate Authority (CA) public keys (CA certs). If the default
    bundle file isn't adequate, you can specify an alternate file
    using the --cacert option.
    If this HTTPS server uses a certificate signed by a CA represented in
    the bundle, the certificate verification probably failed due to a
    problem with the certificate (it might be expired, or the name might
    not match the domain name in the URL).
    If you'd like to turn off curl's verification of the certificate, use
    the -k (or --insecure) option.
    error: skipping https://mirror1-newyork.clearos.com/clearos/7/updates/x86_64/RPMS/yum-marketplace-plugin-2.3-4.v7.noarch.rpm - transfer failed



    Dependencies Resolved

    =====================================================================================================================================================================================
    Package Arch Version Repository Size
    =====================================================================================================================================================================================
    Updating:
    yum-marketplace-plugin noarch 2.3-4.v7 /yum-marketplace-plugin-2.3-4.v7.noarch 21 k

    Transaction Summary
    =====================================================================================================================================================================================
    Upgrade 1 Package

    Total size: 21 k
    Is this ok [y/d/N]: y
    Downloading packages:
    Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
    File "/usr/share/yum-cli/yummain.py", line 375, in user_main
    errcode = main(args)
    File "/usr/share/yum-cli/yummain.py", line 281, in main
    return_code = base.doTransaction()
    File "/usr/share/yum-cli/cli.py", line 683, in doTransaction
    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
    File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2635, in downloadPkgs
    self.plugins.run('postdownload', pkglist=pkglist, errors=errors)
    File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 188, in run
    func(conduitcls(self, self.base, conf, **kwargs))
    File "/usr/lib/yum-plugins/clearcenter-marketplace.py", line 291, in postdownload_hook
    if pkg.repo in wc_repos:
    NameError: global name 'wc_repos' is not defined
    [root@server2 tmp]# rpm -Uvh yum-marketplace-plugin-2.3-4.v7.noarch.rpm
    Preparing... ################################# [100%]
    Updating / installing...
    1:yum-marketplace-plugin-2.3-4.v7 ################################# [ 50%]
    Cleaning up / removing...
    2:yum-marketplace-plugin-2.2-2.v7 ################################# [100%]


    I have manually downloaded the package from another install and copies the yum-marketplace-plugin-2.3-4.v7.noarch.rpm over and installed it locally.
    This installed the package, but update is still not possible

    yum update
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    ClearCenter Marketplace: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:618)>
    Loading mirror speeds from cached hostfile
    * clearos: www.mirrorservice.org
    * clearos-centos-sclo-rh: download4.clearsdn.com
    * clearos-contribs: www.mirrorservice.org
    * clearos-fast-updates: download4.clearsdn.com
    * clearos-infra: www.mirrorservice.org
    No packages marked for update
    The reply is currently minimized Show
Your Reply